import React from "react";

// TODO set round timer for new game

const PreGame = ({
  onCreateGame,
  onJoinGame,
  onChangeGameId,
  onChangePlayerName,
  gameId,
  playerName
}) => (
  <div>
    <p>Player Name</p>
    <input type="text" value={playerName} onChange={onChangePlayerName} />
    <hr/>
    <button 
      onClick={onCreateGame}
      disabled={!playerName || playerName.length === 0}
    >
      Create New Game
    </button>
    <hr/>
    
    <p>Game ID:</p>
    <input type="text" value={gameId} onChange={onChangeGameId} />
    <br/>
    <button 
      onClick={onJoinGame}
      disabled={!gameId || !playerName || gameId.length === 0 || playerName.length === 0}
    >
      Join Existing Game
    </button>
  </div>
);

export default PreGame;
