import React from "react";

class PreRound extends React.Component {
  copyGameId() {
    const { gameId } = this.props;
    const textarea = this.textarea;
    textarea.value = gameId;
    textarea.select();
    document.execCommand("copy");
  }
  
  render() {
    const { gameId, playerName, onStart } = this.props;
    return (
      <div>
        <p>Playing as {playerName}</p>
        <p>
          Game Code: {gameId} <button onClick={() => this.copyGameId()}>Copy</button>
        </p>
        <button onClick={onStart}>Start Game</button>
        <textarea
          ref={textarea => this.textarea = textarea}
          style={{ position: "absolute", top: "-1000px" }}
        />
      </div>
      );
    }
  }
  
  export default PreRound;
  